gnutls_mac_get_id(3)

NAME
gnutls_mac_get_id - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_mac_algorithm_t gnutls_mac_get_id(const char * name);

ARGUMENTS

const char * name
    is a MAC algorithm name

DESCRIPTION
Convert a string to a gnutls_mac_algorithm_t value. The names are compared in a case insensitive way.

RETURNS
a gnutls_mac_algorithm_t id of the specified MAC algorithm string, or GNUTLS_MAC_UNKNOWN on failure.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/